package com.bonus.sgzb.base.domain;


import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class MaTypeHisNum {

  /**
   * 类型ID
   */
  private long typeId;
  /**
   * 历史库存
   */
  private String storageNum;
  /**
   * 存入日期
   */
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  private Date time;
  /**
   * 帐号状态（0正常 1停用）
   */
  private String status;
  /**
   * 数据所属组织
   */
  private String companyId;


  public long getTypeId() {
    return typeId;
  }

  public void setTypeId(long typeId) {
    this.typeId = typeId;
  }


  public String getStorageNum() {
    return storageNum;
  }

  public void setStorageNum(String storageNum) {
    this.storageNum = storageNum;
  }


  public Date getTime() {
    return time;
  }

  public void setTime(Date time) {
    this.time = time;
  }


  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }


  public String getCompanyId() {
    return companyId;
  }

  public void setCompanyId(String companyId) {
    this.companyId = companyId;
  }

}
